Subject: RE: libwrap missing on configure of OpenSSH
From: "Gerrit P. Haase" <[email-masked]>
To: "Lawrence W. Smith" <[email-masked]>, [email-masked]
Date: Wed, 12 Sep 2001 20:13:32 +0200

Lawrence W. Smith schrieb am 2001-09-12, 5:06:

Hi Lawrence,

>I appreciate your help ...
>
>
>> Somehow your installation is messed up.
>
>deleted everything
>re-downloaded all tarballs and all source
>re-installed
>regenerated passwd / group
>checked env vars
>rebuilt tcp_wrappers
>success
>libwrap.a in /usr/lib
>tcpd.h in /usr/include
>
>rebuilt openssl
>success
>
>openssh --with-tcp-wrappers

I have openssh-2.9p2-3-src.tar.bz2 from the cygwin mirrors.

>checking for vis.h... no
>checking for GLOB_ALTDIRFUNC support... yes
>checking for gl_matchc field in glob_t... no
>checking whether struct dirent allocates space for d_name... yes
>checking for libwrap... configure: error: *** libwrap missing
>
>back to square one !!!
>
>No other cygwin1.dll's at all.

Well i thought, because last time you reported another error:
>checking for gcc... gcc
>checking whether the C compiler (gcc  ) works... no
>configure: error: installation or configuration problem: C compiler
>cannot create executables.

>cleaned up the path so there's nothing but the cygwin dirs now.
>/usr/bin /bin /sbin etc

Good.

>still no joy

Bad.

>Is this a problem of not finding libwrap.a or is there something
>wrong in the configure test?

No.

It works for me:

$ ./configure --with-tcp-wrappers --with-pcre --prefix=/usr --sysconfdir=/etc --localstatedir=/var \           
>  --with-mantype=man --with-pid-dir=/var/run 2>&1 | tee log.configure
[...]
checking for vis.h... no
checking for GLOB_ALTDIRFUNC support... yes
checking for gl_matchc field in glob_t... no
checking whether struct dirent allocates space for d_name... yes
checking for libwrap... yes
checking for arc4random... no
checking for atexit... yes
[...]

BUT:
====
Now as i try to build, i got problems, too. Compiling works fine, no errors
only some minor warnings, but the linking doesn't work. I got millions of
undefined references, fprintf() was only the first one.
Not sure what is here the problem, maybe I should link with gcc instead of ld.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/